Bug 461395 - tomboy not connecting via local or sshfs
tomboy not connecting via local or sshfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 04:40 EDT by Doug Maxey
Modified: 2009-07-14 10:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2008-09-07 04:40:11 EDT
Description of problem:

Am trying to find a method of sync'ing two sets of tomboy notes.

Neither the local nor the sshfs method want to connect.  I can open
another bug if needed to split the 2 problems.

==========
sshfs -
First, tried the ssh method, and see that the log contains entries
that indicate the attempt timedout.  The mount is actually completed,
as I can see the contents of the remote side.

Tested the actual sshfs command from the command line, the time to
connect is definitely less than a second.

9/7/2008 2:39:23 AM [DEBUG]: Mounting sync path with this command: /usr/bin/sshfs -p 22 dwm@willy:/home/dwm/.tomboy /home/dwm/.tomboy/sync-sshfs
9/7/2008 2:39:33 AM [DEBUG]: Error calling /usr/bin/sshfs: timed out after 10 seconds

==========
local directory -
Created a dir ~/.tomboy.remote.  rsync'd the remote contents over.
Cleared the mount options in the dialog, and attempted using the Local
selection.

This produces the message fragment:
9/7/2008 2:19:22 AM [DEBUG]: GetConfiguredSyncService is null
9/7/2008 2:19:22 AM [ERROR]: Error cleaning up addin after sync: Object reference not set to an instance of an object
  at Tomboy.Sync.SyncManager.SynchronizationThread () [0x00000]
9/7/2008 2:22:24 AM [DEBUG]: SyncThread using SyncServiceAddin: Local Folder
9/7/2008 2:22:24 AM [DEBUG]: Exception while creating SyncServer: Object reference not set to an instance of an object
  at Tomboy.Sync.FileSystemSyncServer.get_LatestRevision () [0x00000]
  at Tomboy.Sync.FileSystemSyncServer..ctor (System.String localSyncPath) [0x00000]
  at Tomboy.Sync.FileSystemSyncServiceAddin.CreateSyncServer () [0x00000]
  at Tomboy.Sync.SyncManager.SynchronizationThread () [0x00000]


Version-Release number of selected component (if applicable):

Started with the f9 current version, which is based on 0.10.1.

Pulled the 0.11.3 src.rpm from koji and rebuilt using mock.

How reproducible:
100%

Actual results:
No sync works.

Expected results:
Should be able to mount (or create a local clone) and use those to
sync.

Additional info:
Please describe how I can collect more debug info.
Comment 1 Bug Zapper 2009-06-09 22:38:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:37:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.